Package org.linphone.core

# Enum Class AccountCreator.Status

java.lang.Object
java.lang.Enum<AccountCreator.Status>
org.linphone.core.AccountCreator.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<AccountCreator.Status>`, `Constable`

Enclosing interface:
  `AccountCreator`

public static enum AccountCreator.Status extends Enum<AccountCreator.Status>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AccountActivated`
Account activated.
`AccountAlreadyActivated`
Account already activated.
`AccountCreated`
Account status.
`AccountExist`
Account exist.
`AccountExistWithAlias`
Account exist with alias.
`AccountLinked`
Account linked.
`AccountNotActivated`
Account not activated.
`AccountNotCreated`
Account not created.
`AccountNotExist`
Account not exist.
`AccountNotLinked`
Account not linked.
`AlgoNotSupported`
Error algo isn't MD5 or SHA-256.
`AliasExist`
Alias exist.
`AliasIsAccount`
Account was created with Alias.
`AliasNotExist`
Alias not exist.
`MissingArguments`
Request failed due to missing argument(s)
`MissingCallbacks`
Request failed due to missing callback(s)
`NotImplementedError`
This API isn't implemented in the current backend.
`PhoneNumberInvalid`
Error cannot send SMS.
`PhoneNumberOverused`
Error too many SMS sent.
`RequestFailed`
Request failed.
`RequestNotAuthorized`
Request has been denied, probably due to invalid auth token.
`RequestOk`
Request status.
`RequestTooManyRequests`
Request has been denied, due to too many requests sent in given period.
`ServerError`
Server.
`UnexpectedError`
Generic error.
`WrongActivationCode`
Error key doesn't match.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static AccountCreator.Status`
`fromInt(int value)`
`int`
`toInt()`
`static AccountCreator.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AccountCreator.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RequestOk

public static final AccountCreator.Status RequestOk
Request status.
Request passed

### RequestFailed

public static final AccountCreator.Status RequestFailed
Request failed.

### MissingArguments

public static final AccountCreator.Status MissingArguments
Request failed due to missing argument(s)

### MissingCallbacks

public static final AccountCreator.Status MissingCallbacks
Request failed due to missing callback(s)

### AccountCreated

public static final AccountCreator.Status AccountCreated
Account status.
Account created

### AccountNotCreated

public static final AccountCreator.Status AccountNotCreated
Account not created.

### AccountExist

public static final AccountCreator.Status AccountExist
Account exist.

### AccountExistWithAlias

public static final AccountCreator.Status AccountExistWithAlias
Account exist with alias.

### AccountNotExist

public static final AccountCreator.Status AccountNotExist
Account not exist.

### AliasIsAccount

public static final AccountCreator.Status AliasIsAccount
Account was created with Alias.

### AliasExist

public static final AccountCreator.Status AliasExist
Alias exist.

### AliasNotExist

public static final AccountCreator.Status AliasNotExist
Alias not exist.

### AccountActivated

public static final AccountCreator.Status AccountActivated
Account activated.

### AccountAlreadyActivated

public static final AccountCreator.Status AccountAlreadyActivated
Account already activated.

### AccountNotActivated

public static final AccountCreator.Status AccountNotActivated
Account not activated.

### AccountLinked

public static final AccountCreator.Status AccountLinked
Account linked.

### AccountNotLinked

public static final AccountCreator.Status AccountNotLinked
Account not linked.

### ServerError

public static final AccountCreator.Status ServerError
Server.
Error server

### PhoneNumberInvalid

public static final AccountCreator.Status PhoneNumberInvalid
Error cannot send SMS.

### WrongActivationCode

public static final AccountCreator.Status WrongActivationCode
Error key doesn't match.

### PhoneNumberOverused

public static final AccountCreator.Status PhoneNumberOverused
Error too many SMS sent.

### AlgoNotSupported

public static final AccountCreator.Status AlgoNotSupported
Error algo isn't MD5 or SHA-256.

### UnexpectedError

public static final AccountCreator.Status UnexpectedError
Generic error.

### NotImplementedError

public static final AccountCreator.Status NotImplementedError
This API isn't implemented in the current backend.

### RequestNotAuthorized

public static final AccountCreator.Status RequestNotAuthorized
Request has been denied, probably due to invalid auth token.

### RequestTooManyRequests

public static final AccountCreator.Status RequestTooManyRequests
Request has been denied, due to too many requests sent in given period.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static AccountCreator.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AccountCreator.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static AccountCreator.Status fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()